GuideLab API

Generate Invoices From Orders

Batch-generate invoices from completed orders, grouped by clinic. Lab-only. Uses lab finance settings for default tax rate and due date calculation.

POST
/invoices/generate-from-orders

Batch-generate invoices from completed orders, grouped by clinic. Lab-only. Uses lab finance settings for default tax rate and due date calculation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/invoices/generate-from-orders" \  -H "Content-Type: application/json" \  -d '{    "orderIds": [      "string"    ]  }'
{  "success": true,  "invoiceIds": [    "string"  ],  "count": 0}
Empty
Empty